Debian Bug report logs - #322339
CAN-2004-2302: Race condition allows DoS through large offsets in sysfs files

version graph

Package: kernel-source-2.6.8; Maintainer for kernel-source-2.6.8 is (unknown);

Reported by: Moritz Muehlenhoff <jmm@inutil.org>

Date: Wed, 10 Aug 2005 10:03:01 UTC

Severity: important

Tags: patch, security

Fixed in version kernel-source-2.6.8/2.6.8-16sarge1

Done: Simon Horman <horms@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, security@debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#322339; Package kernel-source-2.6.8. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
New Bug report received and forwarded. Copy sent to security@debian.org, Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: CAN-2004-2302: Race condition allows DoS through large offsets in sysfs files
Date: Wed, 10 Aug 2005 11:53:00 +0200
Package: kernel-source-2.6.8
Severity: important
Tags: security patch

CAN-2004-2302 describes a kernel DoS through a race condition, that can be triggered
by overly long sysfs offsets. Please see 
http://linux.bkbits.net:8080/linux-2.6/cset%404186a4deVoR88JjTwMa3ZnIp-_YJsA
for description and a patch. 2.4 doesn't seem to use sysfs and it should already be
fixed in 2.6.12.

Cheers,
        Moritz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-rc5
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#322339; Package kernel-source-2.6.8. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 322339@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#322339: CAN-2004-2302: Race condition allows DoS through large offsets in sysfs files
Date: Thu, 11 Aug 2005 12:01:33 +0900
On Wed, Aug 10, 2005 at 11:53:00AM +0200, Moritz Muehlenhoff wrote:
> Package: kernel-source-2.6.8
> Severity: important
> Tags: security patch
> 
> CAN-2004-2302 describes a kernel DoS through a race condition, that can be triggered
> by overly long sysfs offsets. Please see 
> http://linux.bkbits.net:8080/linux-2.6/cset%404186a4deVoR88JjTwMa3ZnIp-_YJsA
> for description and a patch. 2.4 doesn't seem to use sysfs and it should already be
> fixed in 2.6.12.

Thanks, I will look into porting that change to 2.6.8.

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#322339; Package kernel-source-2.6.8. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#322339; Package kernel-source-2.6.8. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 322339@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 322339@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#322339: CAN-2004-2302: Race condition allows DoS through large offsets in sysfs files
Date: Thu, 11 Aug 2005 17:04:08 +0900
tags  322339 +pending
thanks

On Wed, Aug 10, 2005 at 11:53:00AM +0200, Moritz Muehlenhoff wrote:
> Package: kernel-source-2.6.8
> Severity: important
> Tags: security patch
> 
> CAN-2004-2302 describes a kernel DoS through a race condition, that can be triggered
> by overly long sysfs offsets. Please see 
> http://linux.bkbits.net:8080/linux-2.6/cset%404186a4deVoR88JjTwMa3ZnIp-_YJsA
> for description and a patch. 2.4 doesn't seem to use sysfs and it should already be
> fixed in 2.6.12.

Thanks,

I have backported and added this to SVN for 2.6.8.
Neither 2.6.12 nor 2.4.27 seem vulnerable to me either.

-- 
Horms



Tags added: pending Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Simon Horman <horms@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 322339-close@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@debian.org>
To: 322339-close@bugs.debian.org
Subject: Bug#322339: fixed in kernel-source-2.6.8 2.6.8-16sarge1
Date: Wed, 14 Dec 2005 19:47:25 -0800
Source: kernel-source-2.6.8
Source-Version: 2.6.8-16sarge1

We believe that the bug you reported is fixed in the latest version of
kernel-source-2.6.8, which is due to be installed in the Debian FTP archive:

kernel-doc-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-doc-2.6.8_2.6.8-16sarge1_all.deb
kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
kernel-source-2.6.8_2.6.8-16sarge1.dsc
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1.dsc
kernel-source-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1_all.deb
kernel-tree-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-tree-2.6.8_2.6.8-16sarge1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Horman <horms@debian.org> (supplier of updated kernel-source-2.6.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Aug 2005 18:51:34 +0900
Source: kernel-source-2.6.8
Binary: kernel-source-2.6.8 kernel-doc-2.6.8 kernel-tree-2.6.8 kernel-patch-debian-2.6.8
Architecture: source all
Version: 2.6.8-16sarge1
Distribution: stable-security
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Simon Horman <horms@debian.org>
Description: 
 kernel-doc-2.6.8 - Linux kernel specific documentation for version 2.6.8
 kernel-patch-debian-2.6.8 - Debian patches to Linux 2.6.8
 kernel-source-2.6.8 - Linux kernel source for version 2.6.8 with Debian patches
 kernel-tree-2.6.8 - Linux kernel source tree for building Debian kernel images
Closes: 309308 311357 317286 321401 322237 322339 323059
Changes: 
 kernel-source-2.6.8 (2.6.8-16sarge1) stable-security; urgency=high
 .
   [ Dann Frazier ]
   * mckinley_icache.dpatch:
     [Security] Fix a cache coherency bug unearthed by a new ia64 processor,
     codenamed Montecito.  This bug causes data corruption that has manifested
     itself in kernel hangs and userspace crashes, and causes d-i to fail.
     Reference: http://www.intel.com/cd/ids/developer/asmo-na/eng/215766.htm
     N.B: I have marked this as security as it seems that it would
     be trivial to construct a user-space DoS - Simon Horman.
 .
   [ Simon Horman ]
   # Excluded from security-only release
   # * drivers-net-via-rhine-wol-oops.dpatch (removed):
   #   This patch breaks the via-rhine driver and 2.6.8 and is
   #   completely bogus for this version of the kernel
   #   (closes: #311357)
 .
   * arch-x86_64-kernel-ptrace-boundary-check.dpatch
     [Security, x86_64] Don't allow accesses below register frame in ptrace
     See CAN-2005-1763.
 .
   * arch-x86_64-kernel-ptrace-canonical-rip-1.dpatch
     [Security, x86_64] This works around an AMD Erratum by
     checking if the ptrace RIP is canonical.
     See CAN-2005-1762
 .
   * arch-x86_64-kernel-ptrace-canonical-rip-2.dpatch
     [Security, x86_64] Fix canonical checking for segment registers in ptrace
     See CAN-2005-0756
 .
   * arch-x86_64-kernel-smp-boot-race.dpatch
     [Security, x86_64] Keep interrupts disabled during smp bootup
     This avoids a race that breaks SMP bootup on some machines.
 .
   * arch-x86_64-mm-ioremap-page-lookup.dpatch
     [Security, x86_64] Don't look up struct page pointer of physical address
     in iounmap as it may be in a memory hole not mapped in mem_map and that
     causes the hash lookup to go off to nirvana.
 .
   # Excluded from security-only release
   # * drivers-media-vidio-bttv-vc100xp-detect.dpatch
   #   Allow Leadtek WinFast VC100 XP cards to work.
 .
   * fs-exec-ptrace-core-exec-race.dpatch
     [Security] Fix race between core dumping and exec with shared mm
 .
   * fs-exec-ptrace-deadlock.dpatch
     [Security] Fix coredump_wait deadlock with ptracer & tracee on shared mm
 .
   * fs-exec-posix-timers-leak-1.dpatch,
     [Security] fs-exec-posix-timers-leak-2.dpatch
     Make exec clean up posix timers.
 .
   * fs-hfs-oops-and-leak.dpatch
     [Security] Fix a leak in HFS and HFS+
     Fix an oops that occurs when an attempt is made to
     mount a non-hfs filesystem as HFS+.
     N.B: Marked as security as users may have mount privelages.
 .
   # Excluded from security-only release
   # * fs-jbd-checkpoint-assertion.dpatch
   #   Fix possible false assertion failure in log_do_checkpoint(). We might fail
   #   to detect that we actually made a progress when cleaning up the checkpoint
   #   lists if we don't retry after writing something to disk.
 .
   * mm-mmap-range-test.dpatch
     [Security] Make sure get_unmapped_area sanity tests are done regardless of
     wheater MAP_FIXED is set or not.
     See CAN-2005-1265
 .
   # Excluded from security-only release
   # * mm-rmap-out-of-bounds-pte.dpatch
   #   Stop try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()
 .
   * net-bridge-netfilter-etables-smp-race.dpatch
     [Security] The patch below fixes an smp race that happens on such
     systems under heavy load.
 .
   Excluded from security-only release
   * net-bridge-mangle-oops-1.dpatch, net-bridge-mangle-oops-2.dpatch
     Fix oops when mangling and brouting and tcpdumping packets
     Needed for net-bridge-forwarding-poison-1.dpatch
 .
   * net-bridge-forwarding-poison-2.dpatch,
     net-bridge-forwarding-poison-2.dpatch:
     [Security] Avoid poisoning of the bridge forwarding table by frames that
     have been dropped by filtering. This prevents spoofed source addresses on
     hostile side of bridge from causing packet leakage, a small but possible
     security risk.
 .
   # Excluded from security-only release
   # * net-ipv4-netfilter-ip_queue-deadlock.dpatch
   #   Fix deadlock with ip_queue and tcp local input path.
 .
   * [Security] net-rose-ndigis-verify.dpatch
     Verify ndigis argument of a new route.
 .
   * sound-usb-usbaudio-unplug-oops.dpatch
     [Security] Prevent oops & dead keyboard on usb unplugging while the device
     is being used.
 .
   * net-ipv4-ipvs-conn_tab-race.dpatch
     [Security] Fix race condition on ip_vs_conn_tab list modification
 .
   # Excluded from security-only release
   # * asm-i386-mem-clobber.dpatch:
   #   Make sure gcc doesn't reorder memory accesses in strncmp and friends on
   #   i386.
 .
   # Excluded from security-only release
   # * drivers-acpi-pci_irq-elcr.dpatch:
   #   Make sure we call acpi_register_gsi() even for default PCI interrupt
   #   assignment. That's the part that keeps track of the ELCR register, and we
   #   want to make sure that the PCI interrupts are properly marked level/low.
 .
   * asm-i386-mem-clobber.dpatch:
     Make sure netlink_autobind() propagates the error return from
     netlink_insert().  Otherwise, callers will not see the error as they
     should and thus try to operate on a socket with a zero pid, which is very
     bad.
 .
   * fs-ext3-64bit-offset.dpatch
     [Security] Incorrect offset checks for ext3 xattr on 64 bit architectures
     an lead to a local DoS.
     See CAN-2005-0757. (see: #311164).
 .
   * arch-x86_64-mm-mmap.dpatch
     [Security, x86_64] Compat mode program can hang kernel
     See CAN-2005-1765.
 .
   * arch-ia64-ptrace-getregs-putregs.dpatch
     [Security, ia64] Fix unchecked user-memory accesses in ptrage_getregs()
     and ptrace_setregs.
 .
   * arch-ia64-ptrace-restore_sigcontext.dpatch
     [Security, ia64] Fix to prevent users from using ptrace to set the pl field
     of the ar.rsc reginster to any value, leading to the
     ability to overwrite kernel memory.
     Note, this patch requires the arch-ia64-ptrace-getregs-putregs.dpatch
     patch to apply cleanly.
     See CAN-2005-1761.
 .
   # Excluded from security-only release
   # * Makefile-gcc-3.3.dpatch, control
   #   Build with gcc-3.3, as gcc-4.0, now the dedault in unstable,
   #   fails to build this source. As this tree is primarily
   #   intended for use with sarge, there seems little point
   #   in putting in gcc-4.0 fixes, but at the same time,
   #   there is some value in being able to use it with unstable.
   #   (Closes: #323059)
 .
   [ dann frazier ]
   * Merge in applicable fixes from 2.6.12.3
      - [Security] ppc32-time_offset-misuse.dpatch
      # Excluded from security-only release - v4l-cx88-hue-offset-fix.dpatch
      # Excluded from security-only release - tty_ldisc_ref-return-null-check.dpatch
 .
   * Merge in applicable fixes from 2.6.12.4
      - [Security] netfilter-NAT-memory-corruption.dpatch
      # Excluded from security-only release - netfilter-deadlock-ip6_queue.dpatch
      - [Security] ipsec-array-overflow.dpatch See CAN-2005-2456
        (See: #321401) (Closes: #321401)
      - [Security] netfilter-ip_conntrack_untracked-refcount.dpatch
      - [Security] sys_get_thread_area-leak.dpatch
      # Excluded from security-only release - rocket_c-fix-ldisc-ref-count.dpatch
      # Excluded from security-only release - early-vlan-fix.dpatch
 .
   [ Simon Horman ]
   * fs_ext2_ext3_xattr-sharing.dpatch
     [Security] Xattr sharing bug
     See http://lists.debian.org/debian-kernel/2005/08/msg00238.html
 .
   * vlan-mii-ioctl.dpatch
     [Security] MII ioctl pass through was passing the wrong device.
     See http://lists.osdl.org/pipermail/bridge/2004-September/000638.html
     See CAN-2005-2548 (Closes: #309308)
 .
   * fs-sysfs-read-write-race.dpatch
     [Security] Fix race in sysfs_read_file() and sysfs_write_file()
     that can lead to a user-space DoS.
     See CAN-2004-2302 (Closes: #322339)
 .
   * net-ipv4-netfilter-ip_recent-last_pkts.dpatch
     [Security] Fixes remote DoS when using ipt_recent on a 64 bit machine.
     (Closes: #322237)
 .
   # Excluded from security-only release
   # * drivers-sata-promise-sataii_tx2_tx4.dpatch
   #   Add SATAII TX2 and TX2/TX4 support to sata promise driver
   #   (Closes: #317286)
 .
   [ Frederik Schüler ]
   * arch-x86_64-mm-ioremap-page-lookup-fix.dpatch
     Add build fix for arch-x86_64-mm-ioremap-page-lookup.dpatch
 .
   [ Simon Horman ]
   * arch-x86_64-kernel-stack-faults.dpatch
     arch-x86_64-nmi.dpatch
     arch-x86_64-private-tss.dpatch
     [Security, x86_64] Disable exception stack for stack faults
     See CAN-2005-1767
 .
   * linux-zlib-fixes.dpatch
     [Security] Fix security bugs in the Linux zlib implementations.
     See CAN-2005-2458, CAN-2005-2459
     From 2.6.12.5
     http://sources.redhat.com/ml/bug-gnu-utils/1999-06/msg00183.html
     http://bugs.gentoo.org/show_bug.cgi?id=94584
 .
   # Excluded from security-only release
   # * zisofs.dpatch
   #   Check input buffer size in zisofs
   #   From 2.6.12.5
 .
   # Excluded from security-only release
   # * module-per-cpu-alignment-fix.dpatch
   #   Module per-cpu alignment cannot always be met
   #  From 2.6.12.5
Files: 
 37a61dc966c032d1529e2c2a524c9cfa 1001 devel optional kernel-source-2.6.8_2.6.8-16sarge1.dsc
 cd72f4d2eb2309a2d77d2ec7a3471c7c 961237 devel optional kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
 309f32838373e76c9b61be0e6c191252 1007230 devel optional kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
 65dca34768d7aa10074845d9b2f20431 34934446 devel optional kernel-source-2.6.8_2.6.8-16sarge1_all.deb
 5b04fd03ede3ae235a03624dc53e2026 32120 devel optional kernel-tree-2.6.8_2.6.8-16sarge1_all.deb
 b7388d2256a4396d2da938a687b3ab9b 6179472 doc optional kernel-doc-2.6.8_2.6.8-16sarge1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDoOUqA8ACPgVBDpcRAswmAKCuyLvQggukJ2gYUkzc/zwzx8/jLwCgnuwK
tCrTzKYPUDtdLwcJpcDYHjg=
=cfl6
-----END PGP SIGNATURE-----




Reply sent to Simon Horman <horms@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 322339-close@bugs.debian.org (full text, mbox):

From: Simon Horman <horms@debian.org>
To: 322339-close@bugs.debian.org
Subject: Bug#322339: fixed in kernel-source-2.6.8 2.6.8-16sarge1
Date: Fri, 16 Dec 2005 21:30:24 -0800
Source: kernel-source-2.6.8
Source-Version: 2.6.8-16sarge1

We believe that the bug you reported is fixed in the latest version of
kernel-source-2.6.8, which is due to be installed in the Debian FTP archive:

kernel-doc-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-doc-2.6.8_2.6.8-16sarge1_all.deb
kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
kernel-source-2.6.8_2.6.8-16sarge1.dsc
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1.dsc
kernel-source-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-source-2.6.8_2.6.8-16sarge1_all.deb
kernel-tree-2.6.8_2.6.8-16sarge1_all.deb
  to pool/main/k/kernel-source-2.6.8/kernel-tree-2.6.8_2.6.8-16sarge1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Horman <horms@debian.org> (supplier of updated kernel-source-2.6.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 Aug 2005 18:51:34 +0900
Source: kernel-source-2.6.8
Binary: kernel-source-2.6.8 kernel-doc-2.6.8 kernel-tree-2.6.8 kernel-patch-debian-2.6.8
Architecture: source all
Version: 2.6.8-16sarge1
Distribution: stable-security
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Simon Horman <horms@debian.org>
Description: 
 kernel-doc-2.6.8 - Linux kernel specific documentation for version 2.6.8
 kernel-patch-debian-2.6.8 - Debian patches to Linux 2.6.8
 kernel-source-2.6.8 - Linux kernel source for version 2.6.8 with Debian patches
 kernel-tree-2.6.8 - Linux kernel source tree for building Debian kernel images
Closes: 309308 311357 317286 321401 322237 322339 323059
Changes: 
 kernel-source-2.6.8 (2.6.8-16sarge1) stable-security; urgency=high
 .
   [ Dann Frazier ]
   * mckinley_icache.dpatch:
     [Security] Fix a cache coherency bug unearthed by a new ia64 processor,
     codenamed Montecito.  This bug causes data corruption that has manifested
     itself in kernel hangs and userspace crashes, and causes d-i to fail.
     Reference: http://www.intel.com/cd/ids/developer/asmo-na/eng/215766.htm
     N.B: I have marked this as security as it seems that it would
     be trivial to construct a user-space DoS - Simon Horman.
 .
   [ Simon Horman ]
   # Excluded from security-only release
   # * drivers-net-via-rhine-wol-oops.dpatch (removed):
   #   This patch breaks the via-rhine driver and 2.6.8 and is
   #   completely bogus for this version of the kernel
   #   (closes: #311357)
 .
   * arch-x86_64-kernel-ptrace-boundary-check.dpatch
     [Security, x86_64] Don't allow accesses below register frame in ptrace
     See CAN-2005-1763.
 .
   * arch-x86_64-kernel-ptrace-canonical-rip-1.dpatch
     [Security, x86_64] This works around an AMD Erratum by
     checking if the ptrace RIP is canonical.
     See CAN-2005-1762
 .
   * arch-x86_64-kernel-ptrace-canonical-rip-2.dpatch
     [Security, x86_64] Fix canonical checking for segment registers in ptrace
     See CAN-2005-0756
 .
   * arch-x86_64-kernel-smp-boot-race.dpatch
     [Security, x86_64] Keep interrupts disabled during smp bootup
     This avoids a race that breaks SMP bootup on some machines.
 .
   * arch-x86_64-mm-ioremap-page-lookup.dpatch
     [Security, x86_64] Don't look up struct page pointer of physical address
     in iounmap as it may be in a memory hole not mapped in mem_map and that
     causes the hash lookup to go off to nirvana.
 .
   # Excluded from security-only release
   # * drivers-media-vidio-bttv-vc100xp-detect.dpatch
   #   Allow Leadtek WinFast VC100 XP cards to work.
 .
   * fs-exec-ptrace-core-exec-race.dpatch
     [Security] Fix race between core dumping and exec with shared mm
 .
   * fs-exec-ptrace-deadlock.dpatch
     [Security] Fix coredump_wait deadlock with ptracer & tracee on shared mm
 .
   * fs-exec-posix-timers-leak-1.dpatch,
     [Security] fs-exec-posix-timers-leak-2.dpatch
     Make exec clean up posix timers.
 .
   * fs-hfs-oops-and-leak.dpatch
     [Security] Fix a leak in HFS and HFS+
     Fix an oops that occurs when an attempt is made to
     mount a non-hfs filesystem as HFS+.
     N.B: Marked as security as users may have mount privelages.
 .
   # Excluded from security-only release
   # * fs-jbd-checkpoint-assertion.dpatch
   #   Fix possible false assertion failure in log_do_checkpoint(). We might fail
   #   to detect that we actually made a progress when cleaning up the checkpoint
   #   lists if we don't retry after writing something to disk.
 .
   * mm-mmap-range-test.dpatch
     [Security] Make sure get_unmapped_area sanity tests are done regardless of
     wheater MAP_FIXED is set or not.
     See CAN-2005-1265
 .
   # Excluded from security-only release
   # * mm-rmap-out-of-bounds-pte.dpatch
   #   Stop try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()
 .
   * net-bridge-netfilter-etables-smp-race.dpatch
     [Security] The patch below fixes an smp race that happens on such
     systems under heavy load.
 .
   Excluded from security-only release
   * net-bridge-mangle-oops-1.dpatch, net-bridge-mangle-oops-2.dpatch
     Fix oops when mangling and brouting and tcpdumping packets
     Needed for net-bridge-forwarding-poison-1.dpatch
 .
   * net-bridge-forwarding-poison-2.dpatch,
     net-bridge-forwarding-poison-2.dpatch:
     [Security] Avoid poisoning of the bridge forwarding table by frames that
     have been dropped by filtering. This prevents spoofed source addresses on
     hostile side of bridge from causing packet leakage, a small but possible
     security risk.
 .
   # Excluded from security-only release
   # * net-ipv4-netfilter-ip_queue-deadlock.dpatch
   #   Fix deadlock with ip_queue and tcp local input path.
 .
   * [Security] net-rose-ndigis-verify.dpatch
     Verify ndigis argument of a new route.
 .
   * sound-usb-usbaudio-unplug-oops.dpatch
     [Security] Prevent oops & dead keyboard on usb unplugging while the device
     is being used.
 .
   * net-ipv4-ipvs-conn_tab-race.dpatch
     [Security] Fix race condition on ip_vs_conn_tab list modification
 .
   # Excluded from security-only release
   # * asm-i386-mem-clobber.dpatch:
   #   Make sure gcc doesn't reorder memory accesses in strncmp and friends on
   #   i386.
 .
   # Excluded from security-only release
   # * drivers-acpi-pci_irq-elcr.dpatch:
   #   Make sure we call acpi_register_gsi() even for default PCI interrupt
   #   assignment. That's the part that keeps track of the ELCR register, and we
   #   want to make sure that the PCI interrupts are properly marked level/low.
 .
   * asm-i386-mem-clobber.dpatch:
     Make sure netlink_autobind() propagates the error return from
     netlink_insert().  Otherwise, callers will not see the error as they
     should and thus try to operate on a socket with a zero pid, which is very
     bad.
 .
   * fs-ext3-64bit-offset.dpatch
     [Security] Incorrect offset checks for ext3 xattr on 64 bit architectures
     an lead to a local DoS.
     See CAN-2005-0757. (see: #311164).
 .
   * arch-x86_64-mm-mmap.dpatch
     [Security, x86_64] Compat mode program can hang kernel
     See CAN-2005-1765.
 .
   * arch-ia64-ptrace-getregs-putregs.dpatch
     [Security, ia64] Fix unchecked user-memory accesses in ptrage_getregs()
     and ptrace_setregs.
 .
   * arch-ia64-ptrace-restore_sigcontext.dpatch
     [Security, ia64] Fix to prevent users from using ptrace to set the pl field
     of the ar.rsc reginster to any value, leading to the
     ability to overwrite kernel memory.
     Note, this patch requires the arch-ia64-ptrace-getregs-putregs.dpatch
     patch to apply cleanly.
     See CAN-2005-1761.
 .
   # Excluded from security-only release
   # * Makefile-gcc-3.3.dpatch, control
   #   Build with gcc-3.3, as gcc-4.0, now the dedault in unstable,
   #   fails to build this source. As this tree is primarily
   #   intended for use with sarge, there seems little point
   #   in putting in gcc-4.0 fixes, but at the same time,
   #   there is some value in being able to use it with unstable.
   #   (Closes: #323059)
 .
   [ dann frazier ]
   * Merge in applicable fixes from 2.6.12.3
      - [Security] ppc32-time_offset-misuse.dpatch
      # Excluded from security-only release - v4l-cx88-hue-offset-fix.dpatch
      # Excluded from security-only release - tty_ldisc_ref-return-null-check.dpatch
 .
   * Merge in applicable fixes from 2.6.12.4
      - [Security] netfilter-NAT-memory-corruption.dpatch
      # Excluded from security-only release - netfilter-deadlock-ip6_queue.dpatch
      - [Security] ipsec-array-overflow.dpatch See CAN-2005-2456
        (See: #321401) (Closes: #321401)
      - [Security] netfilter-ip_conntrack_untracked-refcount.dpatch
      - [Security] sys_get_thread_area-leak.dpatch
      # Excluded from security-only release - rocket_c-fix-ldisc-ref-count.dpatch
      # Excluded from security-only release - early-vlan-fix.dpatch
 .
   [ Simon Horman ]
   * fs_ext2_ext3_xattr-sharing.dpatch
     [Security] Xattr sharing bug
     See http://lists.debian.org/debian-kernel/2005/08/msg00238.html
 .
   * vlan-mii-ioctl.dpatch
     [Security] MII ioctl pass through was passing the wrong device.
     See http://lists.osdl.org/pipermail/bridge/2004-September/000638.html
     See CAN-2005-2548 (Closes: #309308)
 .
   * fs-sysfs-read-write-race.dpatch
     [Security] Fix race in sysfs_read_file() and sysfs_write_file()
     that can lead to a user-space DoS.
     See CAN-2004-2302 (Closes: #322339)
 .
   * net-ipv4-netfilter-ip_recent-last_pkts.dpatch
     [Security] Fixes remote DoS when using ipt_recent on a 64 bit machine.
     (Closes: #322237)
 .
   # Excluded from security-only release
   # * drivers-sata-promise-sataii_tx2_tx4.dpatch
   #   Add SATAII TX2 and TX2/TX4 support to sata promise driver
   #   (Closes: #317286)
 .
   [ Frederik Schüler ]
   * arch-x86_64-mm-ioremap-page-lookup-fix.dpatch
     Add build fix for arch-x86_64-mm-ioremap-page-lookup.dpatch
 .
   [ Simon Horman ]
   * arch-x86_64-kernel-stack-faults.dpatch
     arch-x86_64-nmi.dpatch
     arch-x86_64-private-tss.dpatch
     [Security, x86_64] Disable exception stack for stack faults
     See CAN-2005-1767
 .
   * linux-zlib-fixes.dpatch
     [Security] Fix security bugs in the Linux zlib implementations.
     See CAN-2005-2458, CAN-2005-2459
     From 2.6.12.5
     http://sources.redhat.com/ml/bug-gnu-utils/1999-06/msg00183.html
     http://bugs.gentoo.org/show_bug.cgi?id=94584
 .
   # Excluded from security-only release
   # * zisofs.dpatch
   #   Check input buffer size in zisofs
   #   From 2.6.12.5
 .
   # Excluded from security-only release
   # * module-per-cpu-alignment-fix.dpatch
   #   Module per-cpu alignment cannot always be met
   #  From 2.6.12.5
Files: 
 37a61dc966c032d1529e2c2a524c9cfa 1001 devel optional kernel-source-2.6.8_2.6.8-16sarge1.dsc
 cd72f4d2eb2309a2d77d2ec7a3471c7c 961237 devel optional kernel-source-2.6.8_2.6.8-16sarge1.diff.gz
 309f32838373e76c9b61be0e6c191252 1007230 devel optional kernel-patch-debian-2.6.8_2.6.8-16sarge1_all.deb
 65dca34768d7aa10074845d9b2f20431 34934446 devel optional kernel-source-2.6.8_2.6.8-16sarge1_all.deb
 5b04fd03ede3ae235a03624dc53e2026 32120 devel optional kernel-tree-2.6.8_2.6.8-16sarge1_all.deb
 b7388d2256a4396d2da938a687b3ab9b 6179472 doc optional kernel-doc-2.6.8_2.6.8-16sarge1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDoOUqA8ACPgVBDpcRAswmAKCuyLvQggukJ2gYUkzc/zwzx8/jLwCgnuwK
tCrTzKYPUDtdLwcJpcDYHjg=
=cfl6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:21:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:01:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.